Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class POCDMT000040ActImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.POCDMT000040ActImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, POCDMT000040Act

    public class POCDMT000040ActImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements POCDMT000040Act

An implementation of the model object 'POCDMT000040 Act'.

The following features are implemented:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Code`
- `Text`
- `Status Code`
- `Effective Time`
- `Priority Code`
- `Language Code`
- `Subject`
- `Specimen`
- `Performer`
- `Author`
- `Informant`
- `Participant`
- `Entry Relationship`
- `Reference`
- `Precondition`
- `Class Code`
- `Mood Code`
- `Negation Ind`
- `Null Flavor`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCode(CD newCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetEffectiveTime(IVLTS newEffectiveTime, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLanguageCode(CS1 newLanguageCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPriorityCode(CE newPriorityCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetStatusCode(CS1 newStatusCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSubject(POCDMT000040Subject newSubject, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetText(ED newText, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` | `getAuthor()`
`XActClassDocumentEntryAct` | `getClassCode()`
`CD` | `getCode()`
`IVLTS` | `getEffectiveTime()`
`org.eclipse.emf.common.util.EList` | `getEntryRelationship()`
`org.eclipse.emf.common.util.EList` | `getId()`
`org.eclipse.emf.common.util.EList` | `getInformant()`
`CS1` | `getLanguageCode()`
`XDocumentActMood` | `getMoodCode()`
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()`
`org.eclipse.emf.common.util.EList` | `getParticipant()`
`org.eclipse.emf.common.util.EList` | `getPerformer()`
`org.eclipse.emf.common.util.EList` | `getPrecondition()`
`CE` | `getPriorityCode()`
`org.eclipse.emf.common.util.EList` | `getRealmCode()`
`org.eclipse.emf.common.util.EList` | `getReference()`
`org.eclipse.emf.common.util.EList` | `getSpecimen()`
`CS1` | `getStatusCode()`
`POCDMT000040Subject` | `getSubject()`
`org.eclipse.emf.common.util.EList` | `getTemplateId()`
`ED` | `getText()`
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()`
`boolean` | `isNegationInd()`
`boolean` | `isSetClassCode()`
`boolean` | `isSetMoodCode()`
`boolean` | `isSetNegationInd()`
`void` | `setClassCode(XActClassDocumentEntryAct newClassCode)`
`void` | `setCode(CD newCode)`
`void` | `setEffectiveTime(IVLTS newEffectiveTime)`
`void` | `setLanguageCode(CS1 newLanguageCode)`
`void` | `setMoodCode(XDocumentActMood newMoodCode)`
`void` | `setNegationInd(boolean newNegationInd)`
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)`
`void` | `setPriorityCode(CE newPriorityCode)`
`void` | `setStatusCode(CS1 newStatusCode)`
`void` | `setSubject(POCDMT000040Subject newSubject)`
`void` | `setText(ED newText)`
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)`
`java.lang.String` | `toString()`
`void` | `unsetClassCode()`
`void` | `unsetMoodCode()`
`void` | `unsetNegationInd()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getRealmCode

    public org.eclipse.emf.common.util.EList getRealmCode()

  Specified by:
    `getRealmCode` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Act_RealmCode()`

### getTypeId

    public POCDMT000040InfrastructureRootTypeId getTypeId()

  Specified by:
    `getTypeId` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040Act.setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040Act_TypeId()`

### basicSetTypeId

    public org.eclipse.emf.common.notify.NotificationChain basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setTypeId

    public void setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)

  Specified by:
    `setTypeId` in interface `POCDMT000040Act`
  Parameters:
    `newTypeId` - the new value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040Act.getTypeId()`

### getTemplateId

    public org.eclipse.emf.common.util.EList getTemplateId()

  Specified by:
    `getTemplateId` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Act_TemplateId()`

### getId

    public org.eclipse.emf.common.util.EList getId()

  Specified by:
    `getId` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Act_Id()`

### getCode

    public CD getCode()

  Specified by:
    `getCode` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `POCDMT000040Act.setCode(CD)`, `CDAR2Package.getPOCDMT000040Act_Code()`

### basicSetCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetCode(CD newCode,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setCode

    public void setCode(CD newCode)

  Specified by:
    `setCode` in interface `POCDMT000040Act`
  Parameters:
    `newCode` - the new value of the 'Code' containment reference.
  See Also:
    `POCDMT000040Act.getCode()`

### getText

    public ED getText()

  Specified by:
    `getText` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Text' containment reference.
  See Also:
    `POCDMT000040Act.setText(ED)`, `CDAR2Package.getPOCDMT000040Act_Text()`

### basicSetText

    public org.eclipse.emf.common.notify.NotificationChain basicSetText(ED newText,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setText

    public void setText(ED newText)

  Specified by:
    `setText` in interface `POCDMT000040Act`
  Parameters:
    `newText` - the new value of the 'Text' containment reference.
  See Also:
    `POCDMT000040Act.getText()`

### getStatusCode

    public CS1 getStatusCode()

  Specified by:
    `getStatusCode` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Status Code' containment reference.
  See Also:
    `POCDMT000040Act.setStatusCode(CS1)`, `CDAR2Package.getPOCDMT000040Act_StatusCode()`

### basicSetStatusCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetStatusCode(CS1 newStatusCode,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setStatusCode

    public void setStatusCode(CS1 newStatusCode)

  Specified by:
    `setStatusCode` in interface `POCDMT000040Act`
  Parameters:
    `newStatusCode` - the new value of the 'Status Code' containment reference.
  See Also:
    `POCDMT000040Act.getStatusCode()`

### getEffectiveTime

    public IVLTS getEffectiveTime()

  Specified by:
    `getEffectiveTime` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Effective Time' containment reference.
  See Also:
    `POCDMT000040Act.setEffectiveTime(IVLTS)`, `CDAR2Package.getPOCDMT000040Act_EffectiveTime()`

### basicSetEffectiveTime

    public org.eclipse.emf.common.notify.NotificationChain basicSetEffectiveTime(IVLTS newEffectiveTime,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setEffectiveTime

    public void setEffectiveTime(IVLTS newEffectiveTime)

  Specified by:
    `setEffectiveTime` in interface `POCDMT000040Act`
  Parameters:
    `newEffectiveTime` - the new value of the 'Effective Time' containment reference.
  See Also:
    `POCDMT000040Act.getEffectiveTime()`

### getPriorityCode

    public CE getPriorityCode()

  Specified by:
    `getPriorityCode` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Priority Code' containment reference.
  See Also:
    `POCDMT000040Act.setPriorityCode(CE)`, `CDAR2Package.getPOCDMT000040Act_PriorityCode()`

### basicSetPriorityCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetPriorityCode(CE newPriorityCode,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setPriorityCode

    public void setPriorityCode(CE newPriorityCode)

  Specified by:
    `setPriorityCode` in interface `POCDMT000040Act`
  Parameters:
    `newPriorityCode` - the new value of the 'Priority Code' containment reference.
  See Also:
    `POCDMT000040Act.getPriorityCode()`

### getLanguageCode

    public CS1 getLanguageCode()

  Specified by:
    `getLanguageCode` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Language Code' containment reference.
  See Also:
    `POCDMT000040Act.setLanguageCode(CS1)`, `CDAR2Package.getPOCDMT000040Act_LanguageCode()`

### basicSetLanguageCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetLanguageCode(CS1 newLanguageCode,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setLanguageCode

    public void setLanguageCode(CS1 newLanguageCode)

  Specified by:
    `setLanguageCode` in interface `POCDMT000040Act`
  Parameters:
    `newLanguageCode` - the new value of the 'Language Code' containment reference.
  See Also:
    `POCDMT000040Act.getLanguageCode()`

### getSubject

    public POCDMT000040Subject getSubject()

  Specified by:
    `getSubject` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Subject' containment reference.
  See Also:
    `POCDMT000040Act.setSubject(POCDMT000040Subject)`, `CDAR2Package.getPOCDMT000040Act_Subject()`

### basicSetSubject

    public org.eclipse.emf.common.notify.NotificationChain basicSetSubject(POCDMT000040Subject newSubject,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setSubject

    public void setSubject(POCDMT000040Subject newSubject)

  Specified by:
    `setSubject` in interface `POCDMT000040Act`
  Parameters:
    `newSubject` - the new value of the 'Subject' containment reference.
  See Also:
    `POCDMT000040Act.getSubject()`

### getSpecimen

    public org.eclipse.emf.common.util.EList getSpecimen()

  Specified by:
    `getSpecimen` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Specimen' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Act_Specimen()`

### getPerformer

    public org.eclipse.emf.common.util.EList getPerformer()

  Specified by:
    `getPerformer` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Performer' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Act_Performer()`

### getAuthor

    public org.eclipse.emf.common.util.EList getAuthor()

  Specified by:
    `getAuthor` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Author' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Act_Author()`

### getInformant

    public org.eclipse.emf.common.util.EList getInformant()

  Specified by:
    `getInformant` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Informant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Act_Informant()`

### getParticipant

    public org.eclipse.emf.common.util.EList getParticipant()

  Specified by:
    `getParticipant` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Participant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Act_Participant()`

### getEntryRelationship

    public org.eclipse.emf.common.util.EList getEntryRelationship()

  Specified by:
    `getEntryRelationship` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Entry Relationship' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Act_EntryRelationship()`

### getReference

    public org.eclipse.emf.common.util.EList getReference()

  Specified by:
    `getReference` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Reference' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Act_Reference()`

### getPrecondition

    public org.eclipse.emf.common.util.EList getPrecondition()

  Specified by:
    `getPrecondition` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Precondition' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Act_Precondition()`

### getClassCode

    public XActClassDocumentEntryAct getClassCode()

  Specified by:
    `getClassCode` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `XActClassDocumentEntryAct`, `POCDMT000040Act.isSetClassCode()`, `POCDMT000040Act.unsetClassCode()`, `POCDMT000040Act.setClassCode(XActClassDocumentEntryAct)`, `CDAR2Package.getPOCDMT000040Act_ClassCode()`

### setClassCode

    public void setClassCode(XActClassDocumentEntryAct newClassCode)

  Specified by:
    `setClassCode` in interface `POCDMT000040Act`
  Parameters:
    `newClassCode` - the new value of the 'Class Code' attribute.
  See Also:
    `XActClassDocumentEntryAct`, `POCDMT000040Act.isSetClassCode()`, `POCDMT000040Act.unsetClassCode()`, `POCDMT000040Act.getClassCode()`

### unsetClassCode

    public void unsetClassCode()

  Specified by:
    `unsetClassCode` in interface `POCDMT000040Act`
  See Also:
    `POCDMT000040Act.isSetClassCode()`, `POCDMT000040Act.getClassCode()`, `POCDMT000040Act.setClassCode(XActClassDocumentEntryAct)`

### isSetClassCode

    public boolean isSetClassCode()

  Specified by:
    `isSetClassCode` in interface `POCDMT000040Act`
  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `POCDMT000040Act.unsetClassCode()`, `POCDMT000040Act.getClassCode()`, `POCDMT000040Act.setClassCode(XActClassDocumentEntryAct)`

### getMoodCode

    public XDocumentActMood getMoodCode()

  Specified by:
    `getMoodCode` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Mood Code' attribute.
  See Also:
    `XDocumentActMood`, `POCDMT000040Act.isSetMoodCode()`, `POCDMT000040Act.unsetMoodCode()`, `POCDMT000040Act.setMoodCode(XDocumentActMood)`, `CDAR2Package.getPOCDMT000040Act_MoodCode()`

### setMoodCode

    public void setMoodCode(XDocumentActMood newMoodCode)

  Specified by:
    `setMoodCode` in interface `POCDMT000040Act`
  Parameters:
    `newMoodCode` - the new value of the 'Mood Code' attribute.
  See Also:
    `XDocumentActMood`, `POCDMT000040Act.isSetMoodCode()`, `POCDMT000040Act.unsetMoodCode()`, `POCDMT000040Act.getMoodCode()`

### unsetMoodCode

    public void unsetMoodCode()

  Specified by:
    `unsetMoodCode` in interface `POCDMT000040Act`
  See Also:
    `POCDMT000040Act.isSetMoodCode()`, `POCDMT000040Act.getMoodCode()`, `POCDMT000040Act.setMoodCode(XDocumentActMood)`

### isSetMoodCode

    public boolean isSetMoodCode()

  Specified by:
    `isSetMoodCode` in interface `POCDMT000040Act`
  Returns:
    whether the value of the 'Mood Code' attribute is set.
  See Also:
    `POCDMT000040Act.unsetMoodCode()`, `POCDMT000040Act.getMoodCode()`, `POCDMT000040Act.setMoodCode(XDocumentActMood)`

### isNegationInd

    public boolean isNegationInd()

  Specified by:
    `isNegationInd` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Negation Ind' attribute.
  See Also:
    `POCDMT000040Act.isSetNegationInd()`, `POCDMT000040Act.unsetNegationInd()`, `POCDMT000040Act.setNegationInd(boolean)`, `CDAR2Package.getPOCDMT000040Act_NegationInd()`

### setNegationInd

    public void setNegationInd(boolean newNegationInd)

  Specified by:
    `setNegationInd` in interface `POCDMT000040Act`
  Parameters:
    `newNegationInd` - the new value of the 'Negation Ind' attribute.
  See Also:
    `POCDMT000040Act.isSetNegationInd()`, `POCDMT000040Act.unsetNegationInd()`, `POCDMT000040Act.isNegationInd()`

### unsetNegationInd

    public void unsetNegationInd()

  Specified by:
    `unsetNegationInd` in interface `POCDMT000040Act`
  See Also:
    `POCDMT000040Act.isSetNegationInd()`, `POCDMT000040Act.isNegationInd()`, `POCDMT000040Act.setNegationInd(boolean)`

### isSetNegationInd

    public boolean isSetNegationInd()

  Specified by:
    `isSetNegationInd` in interface `POCDMT000040Act`
  Returns:
    whether the value of the 'Negation Ind' attribute is set.
  See Also:
    `POCDMT000040Act.unsetNegationInd()`, `POCDMT000040Act.isNegationInd()`, `POCDMT000040Act.setNegationInd(boolean)`

### getNullFlavor

    public org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Specified by:
    `getNullFlavor` in interface `POCDMT000040Act`
  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040Act.setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040Act_NullFlavor()`

### setNullFlavor

    public void setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)

  Specified by:
    `setNullFlavor` in interface `POCDMT000040Act`
  Parameters:
    `newNullFlavor` - the new value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040Act.getNullFlavor()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD